View Issue Details

IDProjectCategoryView StatusLast Update
0022737LazarusIDEpublic2012-09-15 08:38
ReporterValdas Jankūnas Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platform Linux 3.5.0-4-generic x86_64 OSKubuntu 
Product Version1.1 (SVN) 
Summary0022737: Keyboard shorcut press leaks from Replace dialog
Description After dialog Replace closes after last replacement, then accelerator key press (which invoked that replacement) leaks and activates menu in main window.
 In GTK2 is no such effect.
Steps To ReproduceMy IDE is in Lithuanian, so "&Taisa" (Edit) in main menu and "&Taip" (Yes) in dialog have same accelerator "t":
 - select some text,
 - call Replace dialog (Ctrl + r),
 - enter search text that exist, and replace text,
 - press button "Pakeisti visus" (Replace all),
 - in confirmation dialog always confirm to replace occurrence by pressing keyboard shortcut Alt+t to activate button "&Taip" (Yes) in dialog,
 - when last occurrence is replaced confirmation dialog closes, but in main window menu "&Taisa" (Edit) opens.
TagsNo tags attached.
Fixed in Revision38520
LazTarget-
WidgetsetQT
Attached Files

Relationships

related to 0018709 closedZeljan Rikalo trigger menu via alt-f, while in environments options.... 

Activities

Valdas Jankūnas

2012-09-04 22:12

reporter   ~0062071

I created test app (LazarusTestas_02.tar.gz):
 - press big button to bring dialog,
 - in dialog press Alt + B to click button "&Yes",
 - dialog closes and menu "&Y menu" expands...

2012-09-04 22:12

 

LazarusTestas_02.tar.gz (128,610 bytes)

Valdas Jankūnas

2012-09-04 22:14

reporter   ~0062072

ops.. press not Alt + B but Alt + Y obviously :)

Zeljan Rikalo

2012-09-05 10:26

developer   ~0062091

Please test and close if ok.

Issue History

Date Modified Username Field Change
2012-08-28 16:11 Valdas Jankūnas New Issue
2012-08-28 16:11 Valdas Jankūnas Widgetset => QT
2012-09-04 22:12 Valdas Jankūnas Note Added: 0062071
2012-09-04 22:12 Valdas Jankūnas File Added: LazarusTestas_02.tar.gz
2012-09-04 22:14 Valdas Jankūnas Note Added: 0062072
2012-09-05 09:18 Zeljan Rikalo Status new => assigned
2012-09-05 09:18 Zeljan Rikalo Assigned To => Zeljan Rikalo
2012-09-05 10:02 Zeljan Rikalo Relationship added related to 0018709
2012-09-05 10:26 Zeljan Rikalo Fixed in Revision => 38520
2012-09-05 10:26 Zeljan Rikalo LazTarget => -
2012-09-05 10:26 Zeljan Rikalo Status assigned => resolved
2012-09-05 10:26 Zeljan Rikalo Resolution open => fixed
2012-09-05 10:26 Zeljan Rikalo Note Added: 0062091
2012-09-15 08:38 Valdas Jankūnas Status resolved => closed